FTBFS with Python 3.5

Bug #1474539 reported by Barry Warsaw on 2015-07-14
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Martin Pitt
Wily
High
Martin Pitt
blist (Ubuntu)
High
Unassigned
Wily
High
Unassigned
cigi-ccl (Ubuntu)
High
Unassigned
Wily
High
Unassigned
kubuntu-driver-manager (Ubuntu)
High
Unassigned
Wily
High
Unassigned
libguestfs (Ubuntu)
High
Unassigned
Wily
High
Unassigned
lives (Ubuntu)
High
Unassigned
Wily
High
Unassigned
shiboken (Ubuntu)
High
Unassigned
Wily
High
Unassigned

Bug Description

We're in the process of starting the Python 3.5 transition for Wily. As such, we've identified a number of packages which FTBFS with Python 3.5. We're also soon starting the transition to gcc5. These are the packages that FTBFS in both transitions.

Here is a link to the Python 3.5 failure in the PPA:

https://launchpadlibrarian.net/210474236/buildlog_ubuntu-wily-amd64.apport_2.17.3-0ubuntu4_BUILDING.txt.gz

See also:

https://launchpad.net/~pythoneers/+archive/ubuntu/py35asdefault/+packages?field.name_filter=apport&field.status_filter=published&field.series_filter=

Related branches

Steve Langasek (vorlon) on 2015-07-14
Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Steve Langasek (vorlon) on 2015-07-14
Changed in apport (Ubuntu):
importance: Undecided → High
Changed in cigi-ccl (Ubuntu):
importance: Undecided → High
Changed in blist (Ubuntu):
importance: Undecided → High
Changed in libguestfs (Ubuntu):
importance: Undecided → High
Changed in kubuntu-driver-manager (Ubuntu):
importance: Undecided → High
Changed in shiboken (Ubuntu):
importance: Undecided → High
Changed in lives (Ubuntu):
importance: Undecided → High
Steve Langasek (vorlon) on 2015-07-14
Changed in apport (Ubuntu Wily):
milestone: none → ubuntu-15.07
Martin Pitt (pitti) on 2015-07-15
Changed in apport (Ubuntu Wily):
status: New → In Progress
Alessio Treglia (quadrispro) wrote :

Apparently lives's FTBFS is unrelated. It seems fixed with lives 2.4.0~ds0-1 in Debian unstable, which closed https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=789858

On Jul 15, 2015, at 07:29 AM, Alessio Treglia wrote:

>Apparently lives's FTBFS is unrelated. It seems fixed with lives
>2.4.0~ds0-1 in Debian unstable, which closed https://bugs.debian.org
>/cgi-bin/bugreport.cgi?bug=789858

Thanks. I'll look at doing a sync.

Martin Pitt (pitti) wrote :

Fixed in trunk r2984.

Changed in apport (Ubuntu Wily):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.18-0ubuntu2

---------------
apport (2.18-0ubuntu2) wily; urgency=medium

  * Fix PEP-8 error in test/test_backend_apt_dpkg.py.

apport (2.18-0ubuntu1) wily; urgency=medium

  * New upstream release. Changes since our last merge from trunk:
    - apport-gtk: Use GtkWidget::valign property instead of GtkMisc::yalign
      which is deprecated in GTK 3.16. Thanks Iain Lane.
    - sandboxutils, make_sandbox(): Don't exit with 0 (success) if the
      ExecutablePath does not exist. (LP: #1462469)
    - sandboxutils, make_sandbox(): Fix second round of package installs to go
      into permanent root dir as well.
    - apt/dpkg install_packages(): If a requested package version is not
      available from apt in the given archive, try to download it from
      Launchpad. Thanks to Brian Murray!
    - kerneloops: Fix crash when determining the version of a custom kernel.
      Thanks Brian Murray. (LP: #1468154)
    - apt/dpkg install_packages(): Ignore -dbg packages whose descriptions
      contain "transitional". (LP: #1469635)
    - Keep "[origin: ...]" information in Package: and Dependencies: fields
      for native-origins.d/ origins, so that it's possible to retrace them.
      Thanks Brian Murray! (LP: #1470572)
    - Add support for retracing with discovering and enabling foreign
      Launchpad PPA origins, as specified in reports' Package:/Dependencies:
      fields. Thanks Brian Murray!
    - hookutils.attach_wifi(): Shorten value of CRDA if iw isn't available on
      the system. Thanks Brian Murray.
    - Fix wrong assertion in crashdb.test_check_duplicate() which surfaces
      under Python 3.5. (LP: #1474539)
  * test/test_backend_apt_dpkg.py: Disable new test assertion for
    unity-services-dbgsym, which doesn't currently work in the autopkgtest
    (but works fine in trunk and on the retracers). To be investigated.

 -- Martin Pitt <email address hidden> Fri, 17 Jul 2015 11:43:37 +0200

Changed in apport (Ubuntu Wily):
status: Fix Committed → Fix Released
Barry Warsaw (barry) wrote :

15.04ubuntu4 fixes this for kubuntu-driver-manager

Changed in kubuntu-driver-manager (Ubuntu Wily):
status: New → Fix Released
Matthias Klose (doko) wrote :

blist succeeds to build without changes.

Changed in blist (Ubuntu Wily):
status: New → Fix Released
Matthias Klose (doko) wrote :

shiboken succeeds to build without changes.

Changed in shiboken (Ubuntu Wily):
status: New → Fix Released
Matthias Klose (doko) wrote :

libguestfs succeeds to build without changes.

Changed in libguestfs (Ubuntu Wily):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cigi-ccl - 3.3.3a+svn818-10ubuntu1

---------------
cigi-ccl (3.3.3a+svn818-10ubuntu1) xenial; urgency=medium

  * Build using swig3.0 with an additional fix for upstream issue #509.
    LP: #1474539.

 -- Matthias Klose <email address hidden> Sun, 25 Oct 2015 00:02:40 +0200

Changed in cigi-ccl (Ubuntu):
status: New → Fix Released
salsaman (salsaman) wrote :

The lives error is nothing to do with python and has already been fixed upstream.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.